// RegionCreatorTestView.h : interface of the CRegionCreatorTestView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_REGIONCREATORTESTVIEW_H__74E7E161_6E5D_4065_9535_326F2FC11201__INCLUDED_)
#define AFX_REGIONCREATORTESTVIEW_H__74E7E161_6E5D_4065_9535_326F2FC11201__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CRegionCreatorTestView : public CView
{
protected: // create from serialization only
	CRegionCreatorTestView();
	DECLARE_DYNCREATE(CRegionCreatorTestView)

// Attributes
public:
	CWnd m_Wnd;
	HRGN m_hRgn;
	COLORREF m_TransparentColor;
	BITMAPINFOHEADER m_BIH;
	unsigned char* m_pBits;
	HBITMAP m_hBitmap;
	CRegionCreatorTestDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRegionCreatorTestView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CRegionCreatorTestView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CRegionCreatorTestView)
	afx_msg void OnRegioncreatorTest();
	afx_msg void OnRegioncreatorSkinned();
	afx_msg void OnUpdateRegioncreatorSkinned(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRegioncreatorTest(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in RegionCreatorTestView.cpp
inline CRegionCreatorTestDoc* CRegionCreatorTestView::GetDocument()
   { return (CRegionCreatorTestDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REGIONCREATORTESTVIEW_H__74E7E161_6E5D_4065_9535_326F2FC11201__INCLUDED_)
